-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlTypeSpec

Declaration :

- C++ : class UmlTypeSpec
- Java : class UmlTypeSpec

this class memorize a type specification, which may be
- a class reference
- an explicit type

Artifact : UmlTypeSpec

Attribut explicit_type

Declaration :

- C++ : public: QCString explicit_type
- Java : public String explicit_type

significant in case type == 0

Relation type (<unidirectional association>)

Declaration :

- C++ : public: UmlClass * type
- Java : public UmlClass type

if != 0 the class representing the type

Operation UmlTypeSpec

Declaration :

- C++ : public: UmlTypeSpec() : type(0)
- Java : public UmlTypeSpec()

Operation toString

Declaration :

- C++ : public: const QCString & toString()const
- Java : public String toString()

returns the type as a string in all cases

Operation clone_it

Declaration :

- Java : public UmlTypeSpec clone_it()

Clone the type specification, defined only in Java which does not have 'const' or 'value passing'

All public operations :

clone_it , toString